org.labkey.remoteapi.di

## Class BaseTransformResponse

- java.lang.Object
- - org.labkey.remoteapi.CommandResponse
  - - org.labkey.remoteapi.di.BaseTransformResponse

- Direct Known Subclasses:
    ResetTransformStateResponse, RunTransformResponse, UpdateTransformConfigurationResponse

      public class BaseTransformResponse
      extends CommandResponse

  User: dax Date: 11/5/13

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BaseTransformResponse(java.lang.String text, int statusCode, java.lang.String contentType, org.json.simple.JSONObject json, Command sourceCommand)` Constructs a new CommandResponse, initialized with the provided response text and status code.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `getSuccess()`

    - ### Methods inherited from class org.labkey.remoteapi.CommandResponse

      `findObject, getContentType, getParsedData, getProperty, getProperty, getRequiredVersion, getSourceCommand, getStatusCode, getText`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BaseTransformResponse

          public BaseTransformResponse(java.lang.String text,
                                       int statusCode,
                                       java.lang.String contentType,
                                       org.json.simple.JSONObject json,
                                       Command sourceCommand)

      Constructs a new CommandResponse, initialized with the provided response text and status code.
      Parameters:
        `text` - The response text
        `statusCode` - The HTTP status code
        `contentType` - The response content type
        `json` - The parsed JSONObject (or null if JSON was not returned).
        `sourceCommand` - A copy of the command that created this response

  - ### Method Detail

    - #### getSuccess

          public boolean getSuccess()